/**
 * Copyright (c) 2011, Qulice.com
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met: 1) Redistributions of source code must retain the above
 * copyright notice, this list of conditions and the following
 * disclaimer. 2) Redistributions in binary form must reproduce the above
 * copyright notice, this list of conditions and the following
 * disclaimer in the documentation and/or other materials provided
 * with the distribution. 3) Neither the name of the Qulice.com nor
 * the names of its contributors may be used to endorse or promote
 * products derived from this software without specific prior written
 * permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL
 * THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 * INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
 * OF THE POSSIBILITY OF SUCH DAMAGE.
 */
package com.qulice.maven;

import java.util.Properties;
import org.apache.maven.plugin.MojoFailureException;

/**
 * Validate with maven-enforcer-plugin.
 *
 * @author Yegor Bugayenko (yegor@qulice.com)
 * @version $Id: EnforcerValidator.java 71 2011-10-14 20:41:40Z guard $
 */
public final class EnforcerValidator extends AbstractValidator {

    /**
     * {@inheritDoc}
     * @checkstyle MultipleStringLiterals (20 lines)
     */
    @Override
    public void validate(final Environment env) throws MojoFailureException {
        final Properties props = new Properties();
        final Properties rules = new Properties();
        props.put("rules", rules);
        final Properties maven = new Properties();
        rules.put("requireMavenVersion", maven);
        maven.put("version", "3.0");
        final Properties java = new Properties();
        rules.put("requireJavaVersion", java);
        // @checkstyle MultipleStringLiterals (1 line)
        java.put("version", "1.6");
        env.executor().execute(
            "org.apache.maven.plugins:maven-enforcer-plugin:1.0-beta-1",
            "enforce",
            props
        );
    }

}
